#!/usr/bin/env python
# -*- coding: utf-8 -*-

HOST = "localhost"
PORT = 4223
UID = "XYZ" # Change to your UID

from tinkerforge.ip_connection import IPConnection
from tinkerforge.bricklet_uv_light import BrickletUVLight

if __name__ == "__main__":
    ipcon = IPConnection() # Create IP connection
    uvl = BrickletUVLight(UID, ipcon) # Create device object

    ipcon.connect(HOST, PORT) # Connect to brickd
    # Don't use device before ipcon is connected

    # Get current UV light (unit is µW/cm²)
    uv_light = uvl.get_uv_light()
    print("UV Light: " + str(uv_light) + " µW/cm²")

    raw_input("Press key to exit\n") # Use input() in Python 3
    ipcon.disconnect()
